package org.esupportail.portal.channels.CAnnuaire;

import org.jasig.portal.IServant;
import org.jasig.portal.ChannelStaticData;

public class CAnnuaireServant extends CAnnuaire implements IServant {

	/**
	 * Constructeur
	 */
	public CAnnuaireServant() {
		super();
	}

	/**
	 * retourne tru ou false selon si le canal cette classe a fini de travailler
	 * pour se terminer, le canal doit recevoir : servantFinished
	 * qui est en fait le nom d'un bouton sur la feuille xsl 
	 * @return True si le servant est fini, False sinon
	 */
	public boolean isFinished() {
		if (runtimeData.getParameter("servantFinished") != null)
			return true;
		return false;
	}

	/**
	 * Ajoute un paramètre au staticData du servant
	 */
	public void setStaticData(ChannelStaticData sd) {
		sd.setParameter("CAnnuaireServantMode", "true");
		super.setStaticData(sd);
	}


	/**
	 * Retourne les Personnes trouvées en résultat de la recherche
	 * @return Object[] (à caster en Personne), Null sinon
	 */
		public Object[] getResults() {
		if (UI.getResult() != null)
			return UI.getResult().toArray();
		return null;
	}
}
